function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"2",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;


function mini_create ()
	show_help_wnd=true;
	init_mini(1);
	create_mini(8128);
	
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"2",100,"messageinfo")
		end;		
	   BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("photolab",6,0);
		--Emitters(true);
		DarkScreen(false);
		if flags.minicomplete1 then
		    StopEmiter("MGlass")	
			flags.minitext3=true;
			speciale_action(2,16,true);
			Set_Cursor(16,2);	
			Set_Cursor(19,3);

		return;end;
		-- loadresource("data\\2\\1\\0016.png","a0103",103);
		-- addactivobjecttogame(103,"a0103",0,2000,"",""); --фото2
		-- AddElement("gr",103);
		-- MoveObjectToTree(103);
	return; end;
	
	if sender==26 then
		if id==1 then
			finish_mini_game(true);
		return;end;
	return;end;
	
	if sender==36 then
	if id==2100 then
		clear_satelite_leaf("photolab");
		BlockCursor(false)
	return;end;	
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete1=true;
		playeffect("miniC");
		StartTimer(2100,2);
		BlockCursor(true)
	return; end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;	
	if sender==1 then

		if id==6000 then
		   CreateWindow(200,200,"2",100,"messageinfo")
		return;end;
		
		if id==5000 and skipping then
		playeffect("skip");
			if not flags.minicomplete1 then
				speciale_action(2,1002);
				CreateWindow(100,100,"219",1);
			return;end;			
		return;end;		
		if id==1000 then
			playeffect("close");
		   finish_mini_game(false);
		   clear_satelite_leaf("photolab");
			DeleteResource("am1_btn" );
			DeleteResource("am1_sig2" );
			DeleteResource("am1_sig1");			
			DeleteResource("am1_sigara");
			DeleteResource("am1_bg");						   
		return;end;
		
		if id==1003 then
			speciale_action(2,1002);
			flags.sigara=true;
		return;end;
		
		if id==1001 or id==1002 then
			if flags.sigara then
				CreateWindow(100,100,"219",1);
			return;end;
		return;end;
	return;end;
end;
function mini_delete ()

end;